Page MenuHomePhabricator

[Regression pre-wmf.1] The first letter of every line is disappearing while typing and getting appended at the end of it/on the next line after inserting
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. Go to Insert>Media
  2. Select an image
  3. Type something in the caption field e.g. "Caption"

Observe result:

The first letter "C" is not getting typed, after clicking on "Insert" it appears at the end of the word


Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.31.0-wmf.1Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (11be03f5b)
mediawiki/extensions/VisualEditor : REL1_30Update VE core submodule to REL1_30 HEAD (9581fbc0b)
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (8184ce0f9)
VisualEditor/VisualEditor : wmf/1.31.0-wmf.1Do not setup inline slugs when rendering is locked
VisualEditor/VisualEditor : REL1_30Do not setup inline slugs when rendering is locked
mediawiki/extensions/VisualEditor : REL1_30Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (11be03f5b)
VisualEditor/VisualEditor : masterDo not setup inline slugs when rendering is locked

Event Timeline

Ryasmeen created this task.Sep 26 2017, 3:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2017, 3:35 PM

Actually...it is not only inside Caption field but everywhere.
Type something on any page the first letter wont appear and press enter. The letter will appear on the next line.

Ryasmeen renamed this task from [Regression pre-wmf.1] The first letter of the caption is disappearing while typing and getting appended at the end of it after inserting to [Regression pre-wmf.1] The first letter of every line is disappearing while typing and getting appended at the end of it/on the next line after inserting .Sep 26 2017, 3:43 PM
Esanders triaged this task as Unbreak Now! priority.Sep 26 2017, 7:03 PM
Esanders added a subscriber: dchan.
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptSep 26 2017, 7:03 PM

Minimal reproduction:

  • Open empty.html
  • Type 'abc'
  • View shows 'bc'
  • Model shows 'bca'

Bisect blames https://gerrit.wikimedia.org/r/#/c/378378/ (@dchan) which itself was a backported patch.

Change 380900 had a related patch set uploaded (by Divec; owner: Divec):
[VisualEditor/VisualEditor@master] Do not setup inline slugs when rendering is locked

https://gerrit.wikimedia.org/r/380900

Change 380900 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Do not setup inline slugs when rendering is locked

https://gerrit.wikimedia.org/r/380900

Change 380905 had a related patch set uploaded (by Jforrester; owner: Divec):
[VisualEditor/VisualEditor@wmf/1.31.0-wmf.1] Do not setup inline slugs when rendering is locked

https://gerrit.wikimedia.org/r/380905

Change 380906 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8184ce0f9)

https://gerrit.wikimedia.org/r/380906

Change 380907 had a related patch set uploaded (by Jforrester; owner: Divec):
[VisualEditor/VisualEditor@REL1_30] Do not setup inline slugs when rendering is locked

https://gerrit.wikimedia.org/r/380907

Change 380907 merged by jenkins-bot:
[VisualEditor/VisualEditor@REL1_30] Do not setup inline slugs when rendering is locked

https://gerrit.wikimedia.org/r/380907

Change 380905 merged by Jforrester:
[VisualEditor/VisualEditor@wmf/1.31.0-wmf.1] Do not setup inline slugs when rendering is locked

https://gerrit.wikimedia.org/r/380905

Change 380908 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@REL1_30] Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (11be03f5b)

https://gerrit.wikimedia.org/r/380908

Change 380908 abandoned by Jforrester:
Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (11be03f5b)

Reason:
Bah.

https://gerrit.wikimedia.org/r/380908

Change 380910 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.1] Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (11be03f5b)

https://gerrit.wikimedia.org/r/380910

Change 380911 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@REL1_30] Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (9581fbc0b)

https://gerrit.wikimedia.org/r/380911

Change 380906 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8184ce0f9)

https://gerrit.wikimedia.org/r/380906

Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Now fixed in master and REL1_30. Backport to wmf.1 (group0) scheduled for the morning.

Change 380911 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@REL1_30] Update VE core submodule to REL1_30 HEAD (9581fbc0b)

https://gerrit.wikimedia.org/r/380911

Change 380910 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.1] Update VE core submodule to wmf/1.31.0-wmf.1 HEAD (11be03f5b)

https://gerrit.wikimedia.org/r/380910

Mentioned in SAL (#wikimedia-operations) [2017-09-27T18:23:25Z] <catrope@tin> Started scap: SWAT: T176762, T175358, T172023, T174719, and add html5-misnesting to Linter

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 27 2017, 6:36 PM

Mentioned in SAL (#wikimedia-operations) [2017-09-27T18:46:20Z] <catrope@tin> Finished scap: SWAT: T176762, T175358, T172023, T174719, and add html5-misnesting to Linter (duration: 22m 55s)